package com.xdap.self_development.service;

import com.xdap.self_development.controller.request.AnalysisRequest;
import com.xdap.self_development.controller.request.AnalysisVerRequest;
import com.xdap.self_development.controller.request.ModelComparisonExportRequest;
import com.xdap.self_development.domain.pojo.DataEntryEngineModelPojo;
import com.xdap.self_development.domain.pojo.EngineParamDetailPojo;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

public interface TcDataQueryService {

    Map<String, List<EngineParamDetailPojo>>  tcDataSelectAllByPartsName(AnalysisRequest analysisRequest);

    Map<String, List<EngineParamDetailPojo>>  tcDataSelectAllByPartsNameBack(AnalysisRequest analysisRequest);

    void excelExportA(HttpServletResponse response);

    void excelExportB(HttpServletResponse response);

    void modelComparisonExport(ModelComparisonExportRequest request, HttpServletResponse response);

    Map<String, List<EngineParamDetailPojo>> tcDataSelectByVersion(AnalysisVerRequest analysisRequest);

    List<EngineParamDetailPojo> tcDataSelectAllByproductNumberBatch(List<DataEntryEngineModelPojo> engineModelPojos);

    List<EngineParamDetailPojo> selectTCFromDB(String modelId, List<String> subsystemParts);
}
